Package org.drinkless.tdlib

# Class TdApi.UserTypeBot

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.UserType
org.drinkless.tdlib.TdApi.UserTypeBot

Enclosing class:
  `TdApi`

public static class TdApi.UserTypeBot extends TdApi.UserType
A bot (see https://core.telegram.org/bots).

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.UserType

  `TdApi.UserType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `activeUserCount`
  The number of recently active users of the bot.
  `boolean`
  `allowsUsersToCreateTopics`
  True, if users can create and delete topics in the chat with the bot.
  `boolean`
  `canBeAddedToAttachmentMenu`
  True, if the bot can be added to attachment or side menu.
  `boolean`
  `canBeEdited`
  True, if the bot is owned by the current user and can be edited using the methods toggleBotUsernameIsActive, reorderBotActiveUsernames, setBotProfilePhoto, setBotName, setBotInfoDescription, and setBotInfoShortDescription.
  `boolean`
  `canConnectToBusiness`
  True, if the bot supports connection to user accounts for chat automation.
  `boolean`
  `canJoinGroups`
  True, if the bot can be invited to basic group and supergroup chats.
  `boolean`
  `canManageBots`
  True, if the bot can manage other bots.
  `boolean`
  `canReadAllGroupMessages`
  True, if the bot can read all messages in basic group or supergroup chats and not just those addressed to the bot.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `hasMainWebApp`
  True, if the bot has the main Web App.
  `boolean`
  `hasTopics`
  True, if the bot has topics.
  `String`
  `inlineQueryPlaceholder`
  Placeholder for inline queries (displayed on the application input field).
  `boolean`
  `isInline`
  True, if the bot supports inline queries.
  `boolean`
  `needLocation`
  True, if the location of the user is expected to be sent with every inline query to this bot.
  `boolean`
  `supportsGuestQueries`
  True, if the bot can be queried by username from any non-secret chat.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserTypeBot()`
  A bot (see https://core.telegram.org/bots).
  `UserTypeBot(boolean canBeEdited, boolean canJoinGroups, boolean canReadAllGroupMessages, boolean hasMainWebApp, boolean hasTopics, boolean allowsUsersToCreateTopics, boolean canManageBots, boolean isInline, String inlineQueryPlaceholder, boolean supportsGuestQueries, boolean needLocation, boolean canConnectToBusiness, boolean canBeAddedToAttachmentMenu, int activeUserCount)`
  A bot (see https://core.telegram.org/bots).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### canBeEdited

    public boolean canBeEdited
    True, if the bot is owned by the current user and can be edited using the methods toggleBotUsernameIsActive, reorderBotActiveUsernames, setBotProfilePhoto, setBotName, setBotInfoDescription, and setBotInfoShortDescription.

  - ### canJoinGroups

    public boolean canJoinGroups
    True, if the bot can be invited to basic group and supergroup chats.

  - ### canReadAllGroupMessages

    public boolean canReadAllGroupMessages
    True, if the bot can read all messages in basic group or supergroup chats and not just those addressed to the bot. In private and channel chats a bot can always read all messages.

  - ### hasMainWebApp

    public boolean hasMainWebApp
    True, if the bot has the main Web App.

  - ### hasTopics

    public boolean hasTopics
    True, if the bot has topics.

  - ### allowsUsersToCreateTopics

    public boolean allowsUsersToCreateTopics
    True, if users can create and delete topics in the chat with the bot.

  - ### canManageBots

    public boolean canManageBots
    True, if the bot can manage other bots.

  - ### isInline

    public boolean isInline
    True, if the bot supports inline queries.

  - ### inlineQueryPlaceholder

    public String inlineQueryPlaceholder
    Placeholder for inline queries (displayed on the application input field).

  - ### supportsGuestQueries

    public boolean supportsGuestQueries
    True, if the bot can be queried by username from any non-secret chat.

  - ### needLocation

    public boolean needLocation
    True, if the location of the user is expected to be sent with every inline query to this bot.

  - ### canConnectToBusiness

    public boolean canConnectToBusiness
    True, if the bot supports connection to user accounts for chat automation.

  - ### canBeAddedToAttachmentMenu

    public boolean canBeAddedToAttachmentMenu
    True, if the bot can be added to attachment or side menu.

  - ### activeUserCount

    public int activeUserCount
    The number of recently active users of the bot.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UserTypeBot

    public UserTypeBot()
    A bot (see https://core.telegram.org/bots).

  - ### UserTypeBot

    public UserTypeBot(boolean canBeEdited, boolean canJoinGroups, boolean canReadAllGroupMessages, boolean hasMainWebApp, boolean hasTopics, boolean allowsUsersToCreateTopics, boolean canManageBots, boolean isInline, String inlineQueryPlaceholder, boolean supportsGuestQueries, boolean needLocation, boolean canConnectToBusiness, boolean canBeAddedToAttachmentMenu, int activeUserCount)
    A bot (see https://core.telegram.org/bots).
    Parameters:
      `canBeEdited` - True, if the bot is owned by the current user and can be edited using the methods toggleBotUsernameIsActive, reorderBotActiveUsernames, setBotProfilePhoto, setBotName, setBotInfoDescription, and setBotInfoShortDescription.
      `canJoinGroups` - True, if the bot can be invited to basic group and supergroup chats.
      `canReadAllGroupMessages` - True, if the bot can read all messages in basic group or supergroup chats and not just those addressed to the bot. In private and channel chats a bot can always read all messages.
      `hasMainWebApp` - True, if the bot has the main Web App.
      `hasTopics` - True, if the bot has topics.
      `allowsUsersToCreateTopics` - True, if users can create and delete topics in the chat with the bot.
      `canManageBots` - True, if the bot can manage other bots.
      `isInline` - True, if the bot supports inline queries.
      `inlineQueryPlaceholder` - Placeholder for inline queries (displayed on the application input field).
      `supportsGuestQueries` - True, if the bot can be queried by username from any non-secret chat.
      `needLocation` - True, if the location of the user is expected to be sent with every inline query to this bot.
      `canConnectToBusiness` - True, if the bot supports connection to user accounts for chat automation.
      `canBeAddedToAttachmentMenu` - True, if the bot can be added to attachment or side menu.
      `activeUserCount` - The number of recently active users of the bot.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.UserType`
    Returns:
      this.CONSTRUCTOR